# -*- coding: utf-8 -*-
"""
Руссификация интерфейса пользователя:
Установка русской локали по-умолчанию (т.к. системная не всегда срабатывает)
Загрузка русских переводов из каталога "translations"

(c)2012 ЗАО "РИПАС" и Демин Федор,
www.ripas.ru dff@ripas.ru
"""

def setLanguage(locale = None, path = '../translations', mask = '*_ru.qm'):
	from PythonQt import QtCore
	if not locale: locale = QtCore.QLocale(QtCore.QLocale.Russian, QtCore.QLocale.RussianFederation)
	QtCore.QLocale.setDefault(locale)
	a = QtCore.QCoreApplication.instance()
	d=QtCore.QDir()
	d.cd(path)
	setLanguage.tr = []
	for f in d.entryList(mask, QtCore.QDir.Files):
		tr = QtCore.QTranslator()
		if tr.load(f, d.path(), '_'):
			QtCore.qDebug((u'Транслятор %s загружен' % f).encode('utf8'))
			a.installTranslator(tr)
			setLanguage.tr.append(tr)

