# -*- coding: utf-8 -*-
"""
(c)2011-2013 ЗАО "РИПАС" и Демин Федор,
www.ripas.ru dff@ripas.ru
"""
"""
Стартовый скрипт RoadCentre.
Последовательно выполняет скрипты из каталога 'init'
"""
from PythonQt import Qt, QtCore, QtGui
import RoadCentre

# ********************** Main ****************************************
def init():
    import runpy,sys
    class plugins: pass
    for p in RoadCentre.kernel.plugins(): setattr(plugins, RoadCentre.kernel.objectClassName(p).replace(':',''), p)
    RoadCentre.plugins = plugins
    arg = QtGui.QApplication.instance().arguments
    if type(arg) != tuple:
        arg = arg()
    sys.argv = list(arg)
    import os
    path=os.path.join(os.getcwd(),'init')
    for files in os.walk(path):
        files[2].sort()
        for f in files[2]:
            if os.path.splitext(f)[1] != '.py': continue
            init.last_loading_file=os.path.join(files[0], f)
            runpy.run_path(init.last_loading_file)

if __name__ == "__main__":
    try:
        init()
        del init
        QtCore.qDebug(u'Инициализация завершена'.encode('utf8'))
        del Qt, QtCore, QtGui
    except:
        from PythonQt import QtGui
        import sys, traceback
        e = sys.exc_info()
        QtGui.QMessageBox.critical(0, u'Ошибка инициализации',
                u'<b>При выполнении стартового скрипта:</b><br> %s'
                u'<b>Скрипт инициализации:</b><br> %s<br>'
                u'<b>произошла ошибка:</b><br>'
                u'<i> %s </i><br>'
                u'<b>Приложение будет закрыто</b>'
                % (''.join(traceback.format_tb(e[2])).replace('\n', '<br>'),
                init.last_loading_file,
                e[1]))
        QtCore.QTimer.singleShot(500,QtCore.QCoreApplication.instance().quit)
